org.apache.tinkerpop.gremlin.structure

## Class FeatureSupportTest.FeatureToStringTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.FeatureSupportTest.FeatureToStringTest

- Enclosing class:
    FeatureSupportTest

      public static class FeatureSupportTest.FeatureToStringTest
      extends AbstractGremlinTest

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeatureToStringTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldHaveStandardToStringRepresentation()` A rough test to ensure that StringFactory is being used to toString Features.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatureToStringTest

          public FeatureToStringTest()

  - ### Method Detail

    - #### shouldHaveStandardToStringRepresentation

          public void shouldHaveStandardToStringRepresentation()

      A rough test to ensure that StringFactory is being used to toString Features.

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.